---
title: Git Service;
layout: page
---

Everything related to the Luon Git service can be managed by the Gitea web interace available at: [https://git.luon.net](https://git.luon.net).
Every Luon user can log in using their account user name and password without requesting an account explicitly.

For more information about Git, see: [https://git-scm.com/](https://git-scm.com/), and for more about Gitea, see: [https://gitea.io](https://gitea.io).

## Repository access
### Non-authenticated/anonymous:
All of your public user and organisation repositories can be cloned anonymously by everyone via HTTP(S) using the URLs like `https://git.luon.net/user/repo.git`. 

### Authenticated
It is also possible to go via HTTPS for accessing private repositories or for pushing commits, but it is more convenient to use SSH for this.
To be able to use the SSH URLs like `git@git.luon.net:user/repo.git` for cloning and pushing, you will have to register your SSH key(s). You can find the place to do this under the profile menu (top-right menu with your avatar), "Settings" and then the "SSH / GPG keys" tab.

If you want to use shorter versions of the URLs on the command-line, add the following to your SSH configuration at `~/.ssh/config`:
```
Host git.luon.net
  User git
```
Then, you can use URLs such as `git.luon.net:user/repo.git` when cloning.

Even more convenient could be to tell Git about this instance. Add the following to `~/.gitconfig`:
```ini
[url "git@git.luon.net:"]
    insteadOf = luon:
```
Then, you can just clone using URLs such as `luon:user/repo.git`!

## Repository creation
You can find this under the create menu (the "+" next to the top-right menu with your avatar). Note that it also possible via this menu to create a repository from an existing Github/GitLab or any HTTP-clonable Git repository by migrating the repository and related data to Luon Git.

## Organisation creation
You can find this under the create menu (the "+" next to the top-right menu with your avatar). Any Luon user is allowed to create as many organisations as they want. We do ask you to give them sensible names and not to go completely crazy with them.