---
title: Nextcloud Service;
layout: page
---

Luon Cloud is our cloud service which is a Nextcloud instance that is hosted at: [https://cloud.luon.net](https://cloud.luon.net). Every Luon user can log in using their account user name and password without requesting an account explicitly.

The web interface of Nextcloud is used to access/visualize all the data you put in the cloud service, but there are many clients that can work on top of this on your PC or mobile phone. 

For more information about Nextcloud, see: [https://nextcloud.com](https://nextcloud.com).

## Sharing
It is a core feature of Nextcloud to either share things within the instance (i.e. with other Luon users), with other instances (i.e. with other Nextcloud users) or publicly via a special link so that only those whom you give the link, can access it.

If you want to share within the instance with another Luon user, this user has to have logged into the instance at least once before, otherwise they will not exist (yet).

When people on other Nextcloud instances want to share files/calendars/contact/etc. with you, they can use your cloud ID which is of the form `user@cloud.luon.net`.

## Clients
GNOME has native support for Nextcloud via GNOME Online accounts. You can find it in the settings. It will automatically hook up a remote location `user@cloud.luon.net` in Nautilus and add your calendars and contacts to Evolution. Also GNOME Calendar, Documents and Notes are aware of NextCloud.

The Nextcloud desktop client can also be installed, it will physically sync (a subset) of a local folder (`~/Nextcloud` by default) with Nextcloud. There is integration in Nautilus for it as well, so you can share/create links/etc. without going to the Nextcloud web interface.

With respect to mobile: There are similar clients for Android and iOS: for syncing files, performing automated backup uploads of the pictures you take, as well as apps that integrate with Nextcloud Notes or Talk. See also: https://nextcloud.com/install/#install-clients. Sailfish OS also has recently received account integration with Nextcloud.

## Apps
In Nextcloud, functionality is split up in apps of which the most common ones are discussed below.

### Files
The main application for managing your files in the cloud.  It can be access via WebDAV via the URL `https://cloud.luon.net/remote.php/dav/files/user/`. 

We are currently not enforcing any quotes on the amount of data your store here. We might in the future, so we ask you to not store hundreds of gigabytes.

For more information, see: [https://nextcloud.com/files/](https://nextcloud.com/files/).

### Activity
This app shows a timeline of all the items that got added/changed/removed in all the other apps. This is only available via the web interface or native Nextcloud client.

### Gallery
A photo gallery view on your folders with pictures. It will create (nested) albums with thumbnails of all your pictures. The sharing option is often used to provide other people a link to a certain photo album of some event.

### Talk
This app can be used to have a short chat or audio/video conference. This can also be set up as a scheduled event or used to discuss a certain file.
It currently supports up to 4 participants in case of an audio/video conference and it can even be shared via a public link to invite users that are not on the Luon Cloud.

For more information, see: [https://nextcloud.com/talk/](https://nextcloud.com/talk/).

### Groupware: Calendar/Contacts/Mails
These apps can be used to maintain any number of calendars and contacts. It also has a mail client (still in a development phase, not as full-features as our [Luon Webmail](https://webmail.luon.net).  Note that you can share calendars not only with each other, but also publicly!

For more information, see: [https://nextcloud.com/groupware/](https://nextcloud.com/groupware/).

### Office
Our Nextcloud instance includes an installation of Collabora Online which means that it is possible to edit (also collaboratively) office documents within your browser using a web version of Libre Office! This ensures that Luon Cloud is not only useful for text/markdown documents but also fully fledged spreadsheets/presentations/documents.

### Other
There are some other apps installed:
* **Deck**: Kanban style boards app for organizing your actions/To Do items/etc.
* **Maps**: alternative app for Google Maps, Bing Maps, etc.; no routing available just yet (*alpha version!*)
* **Notes**: note taking app that uses note text files under the hood that are also accessible via Files
* **Passwords**: password management app; particularly useful in combination with a specific client for it 
* **Polls**: polling app for polls either within the instance or for public polls, for example to pick a date with a group of people for a certain event
* **Social**: microblogging app that accesses the [Fediverse](https://fediverse.party/) using the [ActivityPub](https://www.w3.org/TR/activitypub/) protocol (similar to [Mastodon](https://joinmastodon.org/), etc.) (*beta version!*)
* **Tasks**: task management app; tasks are accessible by clients that use the calendars and supports these items (e.g. Evolution)